Loading...
Searching...
No Matches
view.h File Reference
`#include <l4/sys/compiler.h>`
`#include <l4/sys/types.h>`
`#include <l4/re/c/dataspace.h>`
`#include <l4/re/c/video/colors.h>`
Include dependency graph for view.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | l4re_video_view_info_t
| View information structure. More...
struct | l4re_video_view_t
| C representation of a goos view. More...

## Typedefs

typedef struct l4re_video_view_info_t | l4re_video_view_info_t
| View information structure.
typedef struct l4re_video_view_t | l4re_video_view_t
| C representation of a goos view.

## Enumerations

enum

l4re_video_view_info_flags_t {
F_l4re_video_view_none = 0x00 , F_l4re_video_view_set_buffer = 0x01 , F_l4re_video_view_set_buffer_offset = 0x02 , F_l4re_video_view_set_bytes_per_line = 0x04 ,
F_l4re_video_view_set_pixel = 0x08 , F_l4re_video_view_set_position = 0x10 , F_l4re_video_view_dyn_allocated = 0x20 , F_l4re_video_view_set_background = 0x40 ,
F_l4re_video_view_set_flags = 0x80 , F_l4re_video_view_fully_dynamic , F_l4re_video_view_above = 0x01000 , F_l4re_video_view_flags_mask = 0xff000
}

| Flags of information on a view. More...

## Functions

L4_BEGIN_DECLS int | l4re_video_view_refresh (l4re_video_view_t *view, int x, int y, int w, int h) L4_NOTHROW
| Flush the given rectangle of pixels of the given view.
int | l4re_video_view_get_info (l4re_video_view_t *view, l4re_video_view_info_t *info) L4_NOTHROW
| Retrieve information about the given view.
int | l4re_video_view_set_info (l4re_video_view_t *view, l4re_video_view_info_t *info) L4_NOTHROW
| Set properties of the view.
int | l4re_video_view_set_viewport (l4re_video_view_t *view, int x, int y, int w, int h, unsigned long bofs) L4_NOTHROW
| Set the viewport parameters of a view.
int | l4re_video_view_stack (l4re_video_view_t *view, l4re_video_view_t *pivot, int behind) L4_NOTHROW
| Change the stacking order in the stack of visible views.

## Detailed Description

Note
  The C interface of L4Re::Video does NOT reflect the full C++ interface on purpose. Use the C++ where possible.

Definition in file view.h.